stages:  
- name: run_Histos3D
  dependencies: [init]
  scheduler:
    scheduler_type: singlestep-stage
    parameters:
      CERN_USER:    {step: init, output: CERN_USER}
      SERVICE_PASS: {step: init, output: SERVICE_PASS}
      inputFile:     {step: init, output: inputFile}
      configFile:    {step: init, output: configFile}
      stepDir:       '{workdir}'
    step: {$ref: 'steps.yml#/Histos3D'}
    
- name: run_Histos3Dto2D
  dependencies: [init, run_Histos3D]
  scheduler:
    scheduler_type: singlestep-stage
    parameters:
      inputFile:     {step: run_Histos3D, output: histFile}
      stepDir:       '{workdir}'
    step: {$ref: 'steps.yml#/Histos3Dto2D'}
    
- name: run_DeriveResidualCorr
  dependencies: [init, run_Histos3Dto2D]
  scheduler:
    scheduler_type: singlestep-stage
    parameters:
      inputFile:     {step: run_Histos3Dto2D, output: histFile}
      configFile:    {step: init, output: configFile}
      stepDir:       '{workdir}'
    step: {$ref: 'steps.yml#/DeriveResidualCorr'}
    
- name: run_Histos3DSubs3DCorrection
  dependencies: [init, run_DeriveResidualCorr]
  scheduler:
    scheduler_type: singlestep-stage
    parameters:
      CERN_USER:    {step: init, output: CERN_USER}
      SERVICE_PASS: {step: init, output: SERVICE_PASS}
      inputFile:     {step: init, output: inputFile}
      configFile:    {step: init, output: configFile}
      inputResidualsFile: {step: run_DeriveResidualCorr, output: histFile}
      stepDir:       '{workdir}'
    step: {$ref: 'steps.yml#/Histos3DSubs3DCorrection'}
    
- name: run_FitResidual_NPV
  dependencies: [init, run_Histos3DSubs3DCorrection]
  scheduler:
    scheduler_type: singlestep-stage
    parameters:
      inputFile:     {step: run_Histos3DSubs3DCorrection, output: histFile}
      configFile:    {step: init, output: configFile}
      termName:      'NPVTerm'
      stepDir:       '{workdir}'
    step: {$ref: 'steps.yml#/FitResiduals'}
  
- name: run_FitResidual_Mu
  dependencies: [init, run_FitResidual_NPV]
  scheduler:
    scheduler_type: singlestep-stage
    parameters:
      inputFile:     {step: run_Histos3DSubs3DCorrection, output: histFile}
      configFile:    {step: init, output: configFile}
      termName:      'MuTerm'
      stepDir:       '{workdir}'
    step: {$ref: 'steps.yml#/FitResiduals'}
   